cool_seq_tool.schemas#
Defines attribute constants, useful object structures, and API response schemas.
- class cool_seq_tool.schemas.AnnotationLayer(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create enum for supported annotation layers
- class cool_seq_tool.schemas.Assembly(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Define supported genomic assemblies. Must be defined in ascending order
- class cool_seq_tool.schemas.BaseModelForbidExtra(**data)[source]#
Base Pydantic model class with extra values forbidden.
- class cool_seq_tool.schemas.GenomicData(**data)[source]#
Model containing genomic and transcript exon data.
- classmethod check_start_end(values)[source]#
Check that at least one of {
start,end} is set. Check that at least one of {exon_start,exon_end} is set. If not set, set corresponding offset toNone
- class cool_seq_tool.schemas.GenomicDataResponse(**data)[source]#
Response model for Genomic Data
-
genomic_data:
Optional[GenomicData][source]#
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
genomic_data:
- class cool_seq_tool.schemas.ManeGeneData(**data)[source]#
Define minimal object model for representing a MANE gene
- class cool_seq_tool.schemas.ResidueMode(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create Enum for residue modes.
We typically prefer to operate in inter-residue coordinates, but users should be careful to define the coordinate mode of their data when calling
cool-seq-toolfunctions.C
T
G
ZERO0
1
2
RESIDUE1
2
3
INTER_RESIDUE0
1
2
3
See “Conventions that promote reliable data sharing” and figure 3 within the Variation Representation Schema (VRS) paper for further discussion.
- class cool_seq_tool.schemas.ServiceMeta(**data)[source]#
Metadata for cool_seq_tool service
- class cool_seq_tool.schemas.Strand(value, names=None, *, module=None, qualname=None, type=None, start=1, boundary=None)[source]#
Create enum for positive and negative strand
- class cool_seq_tool.schemas.TranscriptExonData(**data)[source]#
Model containing transcript exon data.
- class cool_seq_tool.schemas.TranscriptExonDataResponse(**data)[source]#
Response model for Transcript Exon Data
- model_computed_fields: ClassVar[dict[str, ComputedFieldInfo]] = {}[source]#
A dictionary of computed field names and their corresponding ComputedFieldInfo objects.
-
service_meta:
ServiceMeta[source]#
-
transcript_exon_data:
Optional[TranscriptExonData][source]#